Package org.jcsp.plugNplay.ints

# Class MultInt

java.lang.Object
org.jcsp.plugNplay.ints.MultInt

All Implemented Interfaces:
  `CSProcess`

public final class MultInt extends Object implements CSProcess
Scales an integer stream.

## Process Diagram

## Description

`MultInt` multiplies each integer that flows through it by the multiplier with which it is configured.

## Channel Protocols

Input Channels
in | int | All channels in this package carry integers.
Output Channels
out | int | All channels in this package carry integers.

## Example

The following example shows how to use the MultInt process in a small program. The program also uses some of the other plugNplay processes. The program generates a sequence of numbers, multiplies them by 42 and prints this on the screen.

     import org.jcsp.lang.*;
     import org.jcsp.plugNplay.ints.*;

     public class MultIntExample {

       public static void main (String[] argv) {

         final One2OneChannelInt a = Channel.one2oneInt ();
         final One2OneChannelInt b = Channel.one2oneInt ();

         new Parallel (
           new CSProcess[] {
             new NumbersInt (a.out ()),
             new MultInt (42, a.in (), b.out ()),
             new PrinterInt (b.in (), "--> ", "\n")
           }
         ).run ();

       }

     }

Author:
  P.H. Welch and P.D. Austin

## Constructor Summary

Constructors
Constructor
Description
`MultInt(int n, ChannelInputInt in, ChannelOutputInt out)`
Construct a new MultInt process with the input Channel in and the output Channel out.

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`
The main body of this process.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MultInt

public MultInt(int n, ChannelInputInt in, ChannelOutputInt out)
Construct a new MultInt process with the input Channel in and the output Channel out.

Parameters:
  `n` - the multiplier
  `in` - the input channel
  `out` - the output channel

## Method Details

### run

public void run()
The main body of this process.

Specified by:
  `run` in interface `CSProcess`